Create Organization User
post
/v1/uwaas/orgs/{orgId}/users
Create a user in an organization identified by external `orgId` and assign a role.
Request
Path Parameters
-
orgId(required): string
External organization identifier.Example:
org-founder-bank
Supported Media Types
- application/json
Root Schema : schema
Type:
Show Source
object-
displayName(required): string
Example:
John Smith -
email(required): string
(email)
Example:
john.smith@acme.com -
roleId(required): integer
(int64)
Minimum Value:
1Minimum Value:> falseMaximum Value:4Maximum Value:< falseRole identifier. Mapping: 1 - WALLET_SUPER_ADMIN 2 - ORG_ADMIN 3 - ORG_USER 4 - TOKEN_ADMINExample:3 -
status(required): string
Allowed Values:
[ "ACTIVE", "INACTIVE" ]User lifecycle status shown in User Management.Example:ACTIVE -
userId(required): string
(uuid)
Example:
3da1c611-c698-42e3-86db-4c9ded652618
Examples
Back to Top
Response
Supported Media Types
- application/json
201 Response
User created successfully.
Root Schema : User
Type:
objectUser response returned by get and list endpoints.
Show Source
-
createdBy(required): string
Read Only:
trueExample:system -
displayName: string
Example:
John Smith -
organizationName(required): string
Read Only:
trueExample:Acme Corp -
orgId(required): string
Read Only:
trueExternal organization identifier from orgId.Example:org-founder-bank -
roleId(required): integer
(int64)
Minimum Value:
1Minimum Value:> falseMaximum Value:4Maximum Value:< falseRole identifier. Mapping: 1 - WALLET_SUPER_ADMIN 2 - ORG_ADMIN 3 - ORG_USER 4 - TOKEN_ADMINExample:3 -
roleName(required): string
Read Only:
trueExample:Org User -
status(required): string
Allowed Values:
[ "ACTIVE", "INACTIVE" ]User lifecycle status shown in User Management.Example:ACTIVE -
userId(required): string
(uuid)
Read Only:
trueExternal identity-provider identifier for the user.Example:3da1c611-c698-42e3-86db-4c9ded652618
400 Response
Bad request.
Root Schema : Error
Type:
Show Source
object-
details(required): array
details
-
error(required): string
Example:
Wallet Not Found -
errorCode(required): string
Example:
WALLET_NOT_FOUND -
message(required): string
Example:
Wallet with id 123 was not found. -
path(required): string
Example:
/v1/uwaas/wallets/123 -
status(required): integer
Example:
404 -
timestamp(required): string
(date-time)
Example:
2026-07-16T14:23:11.123Z
401 Response
Unauthorized.
Root Schema : Error
Type:
Show Source
object-
details(required): array
details
-
error(required): string
Example:
Wallet Not Found -
errorCode(required): string
Example:
WALLET_NOT_FOUND -
message(required): string
Example:
Wallet with id 123 was not found. -
path(required): string
Example:
/v1/uwaas/wallets/123 -
status(required): integer
Example:
404 -
timestamp(required): string
(date-time)
Example:
2026-07-16T14:23:11.123Z
404 Response
Requested resource was not found.
Root Schema : Error
Type:
Show Source
object-
details(required): array
details
-
error(required): string
Example:
Wallet Not Found -
errorCode(required): string
Example:
WALLET_NOT_FOUND -
message(required): string
Example:
Wallet with id 123 was not found. -
path(required): string
Example:
/v1/uwaas/wallets/123 -
status(required): integer
Example:
404 -
timestamp(required): string
(date-time)
Example:
2026-07-16T14:23:11.123Z
409 Response
Duplicate user.
Root Schema : Error
Type:
Show Source
object-
details(required): array
details
-
error(required): string
Example:
Wallet Not Found -
errorCode(required): string
Example:
WALLET_NOT_FOUND -
message(required): string
Example:
Wallet with id 123 was not found. -
path(required): string
Example:
/v1/uwaas/wallets/123 -
status(required): integer
Example:
404 -
timestamp(required): string
(date-time)
Example:
2026-07-16T14:23:11.123Z
500 Response
Internal server error.
Root Schema : Error
Type:
Show Source
object-
details(required): array
details
-
error(required): string
Example:
Wallet Not Found -
errorCode(required): string
Example:
WALLET_NOT_FOUND -
message(required): string
Example:
Wallet with id 123 was not found. -
path(required): string
Example:
/v1/uwaas/wallets/123 -
status(required): integer
Example:
404 -
timestamp(required): string
(date-time)
Example:
2026-07-16T14:23:11.123Z